Loading...
Searching...
No Matches
Gudhi::persistence_matrix::Vector_column< Master_matrix > Class Template Reference
Persistence Matrix

Column class following the PersistenceMatrixColumn concept. More...

`#include <gudhi/Persistence_matrix/columns/vector_column.h>`

## Detailed Description

template<class Master_matrix>
class Gudhi::persistence_matrix::Vector_column< Master_matrix >

Column class following the PersistenceMatrixColumn concept.

Column based on a vector structure. The entries are always ordered by row index, but entries are removed by clear(Index) in a lazy way, so erased values can still be in the underlying container. On the other hand, two entries will never have the same row index.

Template Parameters

  Master_matrix | An instantiation of Matrix from which all types and options are deduced.

The documentation for this class was generated from the following file:

- include/gudhi/Persistence_matrix/columns/vector_column.h